cascading.management

## Interface MetricsService

- All Superinterfaces:
    CascadingService
  All Known Implementing Classes:
    CascadingServices.NullMetricsService

      public interface MetricsService
      extends CascadingService

  Interface MetricsService provides fine grained hooks for managing various metrics.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `METRICS_SERVICE_CLASS_PROPERTY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compareSet(java.lang.String[] context, int isValue, int toValue)`
    `boolean` | `compareSet(java.lang.String[] context, long isValue, long toValue)`
    `boolean` | `compareSet(java.lang.String[] context, java.lang.String isValue, java.lang.String toValue)`
    `int` | `getInt(java.lang.String[] context)`
    `long` | `getLong(java.lang.String[] context)`
    `java.lang.String` | `getString(java.lang.String[] context)`
    `void` | `increment(java.lang.String[] context, int amount)`
    `void` | `set(java.lang.String[] context, int value)`
    `void` | `set(java.lang.String[] context, long value)`
    `void` | `set(java.lang.String[] context, java.lang.String value)`

    - ### Methods inherited from interface cascading.provider.CascadingService

      `isEnabled, setProperties, startService, stopService`

- - ### Field Detail

    - #### METRICS_SERVICE_CLASS_PROPERTY

          static final java.lang.String METRICS_SERVICE_CLASS_PROPERTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### increment

          void increment(java.lang.String[] context,
                       int amount)

    - #### set

          void set(java.lang.String[] context,
                 java.lang.String value)

    - #### set

          void set(java.lang.String[] context,
                 int value)

    - #### set

          void set(java.lang.String[] context,
                 long value)

    - #### getString

          java.lang.String getString(java.lang.String[] context)

    - #### getInt

          int getInt(java.lang.String[] context)

    - #### getLong

          long getLong(java.lang.String[] context)

    - #### compareSet

          boolean compareSet(java.lang.String[] context,
                           java.lang.String isValue,
                           java.lang.String toValue)

    - #### compareSet

          boolean compareSet(java.lang.String[] context,
                           int isValue,
                           int toValue)

    - #### compareSet

          boolean compareSet(java.lang.String[] context,
                           long isValue,
                           long toValue)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.